## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global realname cowboy


Name:		erlang-%{realname}
Version:	2.12.0
Release:	%autorelease
BuildArch:	noarch
Summary:	Small, fast, modular HTTP server written in Erlang
License:	ISC
URL:		https://github.com/ninenines/%{realname}
VCS:		git:%{url}.git
Source0:	%{url}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-cowlib
BuildRequires:	erlang-ranch
BuildRequires:  erlang-rebar3
# For building docs
BuildRequires:	asciidoc
BuildRequires:	dblatex
BuildRequires:	libxml2
BuildRequires:	texlive-upquote


%description
Small, fast, modular HTTP server written in Erlang.


%package doc
Summary: Documentation for %{name}


%description doc
Documentation for %{name}.


%prep
%autosetup -p 1 -n %{realname}-%{version}


%build
%{erlang3_compile}
# Building docs
a2x -v -f pdf CONTRIBUTING.asciidoc
a2x -v -f pdf doc/src/guide/book.asciidoc && mv doc/src/guide/book.pdf doc/guide.pdf
a2x -v -f chunked doc/src/guide/book.asciidoc && mv doc/src/guide/book.chunked/ doc/html/
# FIXME broken right now
# for f in doc/src/manual/*.asciidoc ; do a2x -v -f manpage $f ; done


%install
%{erlang3_install}

# man-pages installation
# FIXME broken right now
#install -d %{buildroot}%{_mandir}/man3
#install -d %{buildroot}%{_mandir}/man7
#for manfile in `ls doc/src/manual/*.3`
#do
#	install -p -m 0644 $manfile %{buildroot}%{_mandir}/man3/
#done
#for manfile in `ls doc/src/manual/*.7`
#do
#	install -p -m 0644 $manfile %{buildroot}%{_mandir}/man7/
#done


%check
# CT test-suite requires ct_helper, gun
#  https://github.com/ninenines/ct_helper
#  https://github.com/ninenines/gun
#%%{erlang3_test}


%files
%license LICENSE
%doc README.asciidoc
%{erlang_appdir}/
#%%{_mandir}/man3/*
#%%{_mandir}/man7/*


%files doc
%doc CONTRIBUTING.pdf doc/guide.pdf doc/html examples/


%changelog
## START: Generated by rpmautospec
* Thu Jun 20 2024 Peter Lemenkov <lemenkov@gmail.com> - 2.12.0-2
- Reenable docs (no man-pages yet)

* Tue Jun 18 2024 Peter Lemenkov <lemenkov@gmail.com> - 2.12.0-1
- Cowboy ver. 2.12.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 25 2019 Peter Lemenkov <lemenkov@gmail.com> - 2.7.0-1
- Ver. 2.7.0

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Sep 14 2018 Peter Lemenkov <lemenkov@gmail.com> - 2.4.0-1
- Ver. 2.4.0

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Oct 10 2017 Peter Lemenkov <lemenkov@gmail.com> - 2.0.0-1
- Ver. 2.0.0

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.4.pre.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.3.pre.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-0.2.pre.3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Mar 14 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.0.0-0.1.pre.3
- Ver. 2.0.0-pre.3
- Doc-subpackage no longer requires main package.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 19 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.2-4
- Remove dependency on _isa in *-doc sub-package

* Mon Mar 18 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.2-3
- Temporary remove one problematic example.

* Sun Mar 17 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.2-2
- Split-off doc subpackage

* Thu Mar 14 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.8.2-1
- Ver. 0.8.2

* Fri Jan 25 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.1-1
- Intial build

## END: Generated by rpmautospec
